#include <bits/stdc++.h>
using namespace std;
int T, N; long long ai[30005], bi[30005]; bool resenje, par;
int main(){
cin >> T;
for(int i=1; i<=T; i++){
    cin >> N;
    for(int j=1; j<=N; j++){
        cin >> ai[j];
    }
    for(int j=1; j<=N; j++){
        cin >> bi[j];
    }
    resenje = true;
    par=false;
    for(int j = 1; j <= N; j++){
         for(int k = 1; k <=N ; k++){
            if(abs(ai[j]) == abs(bi[k])){
                par = true;
               if(ai[j] == bi[k] and abs(k-j)%2 == 1 or ai[j] != bi[k] and abs(k-j)%2 == 0){
                resenje = false;
                break;
                }
            }
         }
         if(resenje == false or par == false){
         break;
         }
    }
   if(resenje == false or par == false){
    cout << "NE" << endl;
   }else{
    cout << "DA" << endl;
   }
}
return 0;
}